Bug 127512 - MSO line chart color is off
Summary: MSO line chart color is off
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.4 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Doc-Themes OOXML-ComboChart
  Show dependency treegraph
 
Reported: 2019-09-12 07:46 UTC by nd101
Modified: 2021-12-06 13:28 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
MSO document (57.58 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2019-09-12 07:47 UTC, nd101
Details
in MSO (50.95 KB, image/png)
2019-09-12 07:47 UTC, nd101
Details
in Impress (57.40 KB, image/png)
2019-09-12 07:47 UTC, nd101
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nd101 2019-09-12 07:46:25 UTC
In MSO, the line color is different from what shows in Impress. See attachment.
Comment 1 nd101 2019-09-12 07:47:01 UTC
Created attachment 154125 [details]
MSO document
Comment 2 nd101 2019-09-12 07:47:27 UTC
Created attachment 154126 [details]
in MSO
Comment 3 nd101 2019-09-12 07:47:54 UTC
Created attachment 154127 [details]
in Impress
Comment 4 Xisco Faulí 2019-10-03 11:02:14 UTC
Regarding the color, I can reproduce it back to

Version: 4.3.0.0.alpha1+
Build ID: c15927f20d4727c3b8de68497b6949e72f9e6e9e

but in

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

one line is white, thus considering it a regression
Comment 5 Aron Budea 2019-10-06 05:11:56 UTC
Bibisected to the following commit using repo bibisect-44max.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=08818d8a45e034ad825c7fafbb76766f106f1d1d
author		Matúš Kukan <matus.kukan@collabora.com>	2014-07-04 15:12:59 +0200
committer	Matúš Kukan <matus.kukan@collabora.com>	2014-07-07 17:49:09 +0200

bnc#882383: Do not ignore themeOverride for charts in .pptx
Comment 6 Xisco Faulí 2021-11-15 10:11:05 UTC
Issue fixed by https://cgit.freedesktop.org/libreoffice/core/commit/?id=e6968f0485cfb2f6c941d11c438386e14a47095d

@Miklos, thanks for fixing this issue
Comment 7 Commit Notification 2021-11-16 09:09:25 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/7046830506bd51db897289bf59f48342015ad7df

tdf#127512: PPTX import: fix handling of theme overrides in the chart import

It will be available in 7.2.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Christian Lohmaier 2021-12-06 13:28:48 UTC
7.2.4 was a hotfix release, updating target in status-whiteboard